<?
include_once("incs/conf.php");
include_once("incs/fmysql.php");
include_once("incs/fnc.php");

$a = fil($_GET['a']);



if($settings[reg]==1){
echo "Регестрация временно приостановлена!<br>";
include_once("incs/down.php");
}

if($on==1){
echo "<div class='rowup'>";
echo "Регистрация</div>";
echo "Вы уже авторизованы!<br/>";
include_once("incs/down.php");
exit;
}else{

switch($a){

case 'reg':

$n=filtr($_POST['nick']);
$p1=filtr($_POST['pass1']);
$pas=$p1;
$p1=md5($p1);
$p2=filtr($_POST['pass2']);
$p2=md5($p2);
$pol=$_POST['pol'];
$str=$_POST['str'];
$d=$_POST['ank_d_r'];
$m=$_POST['ank_m_r'];
$g=$_POST['ank_g_r'];
$len_nick = strlen($_POST['nick']);
$len_pass = strlen($_POST['pass1']);

$reg_nick=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `nick` = '$n'"));

if($reg_nick[id]==""){
if($n!="" && $p1!="" && $p2!="" && $p1==$p2){
if($len_nick>=3){
if($len_pass>=6){
if($_POST['pol']==0 OR $_POST['pol']==1){
if($_POST['str']==7 OR $_POST['str']==38){
mysql_query("INSERT INTO `user` (`nick`, `pass`, `date_reg`, `date_last`, `pol`, `str`, `ank_d_r`, `ank_m_r`, `ank_g_r`) values('$n', '$p1', '$time', '$time', '$pol', '$str', '$d', '$m', '$g')");

$user=mysql_fetch_array(mysql_query("SELECT nick FROM `user` WHERE `nick` = '$n'"));

SetCookie("nick","$n",time()+15552000);
SetCookie("pass","$pas",time()+15552000);

include_once("incs/head.php");
head("Регистрация",$meuser,$auth);
echo "<div class='rowup'>";
echo "Регистрация</div>";

echo "Поздравляем, ВЫ успешно зарегистрировались!<br/>";
echo "Вашы даные:<br/>";
echo "Логин: $n<br/>";
echo "Пароль (Не забудь этот пароль! ;) : $pas<br/>";

echo "<a href=\"my.php\">Войти в свою анкету!</a>";

include_once("incs/down.php");

}else{
echo "Ты что бля гермофродит?<br/>";
}
}else{
echo "Пароль не может быть короче 6-и символов!<br/>";
}
}else{
echo "Логин не может быть короче 3-х символов!<br/>";
}
}else{
echo "Не заполнены поля или пароли не совпадают!<br/>";
}
}else{
echo "Етот логин уже зарегестрирован!<br/>";
}}
include_once("incs/down.php");
break;

case '':
include_once("incs/head.php");
head("Регистрация",$meuser,$auth);
echo "<div class='rowup'>";
echo "Регистрация</div>";

echo '<form method="post" action="?a=reg">';
echo '<b>Логин</b>:<br/><input type="text" name="nick" maxlength="32"/><br>';
echo "Дата рождения:<br>";
echo "<select name=\"ank_d_r\">";
echo "<option value=\"1\">1</option>";
echo "<option value=\"2\">2</option>";
echo "<option value=\"3\">3</option>";
echo "<option value=\"4\">4</option>";
echo "<option value=\"5\">5</option>";
echo "<option value=\"6\">6</option>";
echo "<option value=\"7\">7</option>";
echo "<option value=\"8\">8</option>";
echo "<option value=\"9\">9</option>";
echo "<option value=\"10\">10</option>";
echo "<option value=\"11\">11</option>";
echo "<option value=\"12\">12</option>";
echo "<option value=\"13\">13</option>";
echo "<option value=\"14\">14</option>";
echo "<option value=\"15\">15</option>";
echo "<option value=\"16\">16</option>";
echo "<option value=\"17\">17</option>";
echo "<option value=\"18\">18</option>";
echo "<option value=\"19\">19</option>";
echo "<option value=\"20\">20</option>";
echo "<option value=\"21\">21</option>";
echo "<option value=\"22\">22</option>";
echo "<option value=\"23\">23</option>";
echo "<option value=\"24\">24</option>";
echo "<option value=\"25\">25</option>";
echo "<option value=\"26\">26</option>";
echo "<option value=\"27\">27</option>";
echo "<option value=\"28\">28</option>";
echo "<option value=\"29\">29</option>";
echo "<option value=\"30\">30</option>";
echo "<option value=\"31\">31</option>";
echo "</select>";
echo "<select name=\"ank_m_r\"><br>";
echo "<option type='1' value=\"1\">Январь</option>";
echo "<option type='2' value=\"2\">Февраль</option>";
echo "<option type='3' value=\"3\">Март</option>";
echo "<option type='4' value=\"4\">Апрель</option>";
echo "<option type='5' value=\"5\">Май</option>";
echo "<option type='2' value=\"6\">Июнь</option>";
echo "<option type='4' value=\"7\">Июль</option>";
echo "<option type='4' value=\"8\">Август</option>";
echo "<option type='4' value=\"9\">Сентябрь</option>";
echo "<option type='4' value=\"10\">Октябрь</option>";
echo "<option type='4' value=\"11\">Ноябрь</option>";
echo "<option type='4' value=\"12\">Декабрь</option>";
echo "</select>";

echo "<select name=\"ank_g_r\"><br>";
echo "<option type='1980' value=\"1980\">1980</option>";
echo "<option type='1981' value=\"1981\">1981</option>";
echo "<option type='1982' value=\"1982\">1982</option>";
echo "<option type='1983' value=\"1983\">1983</option>";
echo "<option type='1984' value=\"1984\">1984</option>";
echo "<option type='1985' value=\"1985\">1985</option>";
echo "<option type='1986' value=\"1986\">1986</option>";
echo "<option type='1987' value=\"1987\">1987</option>";
echo "<option type='1988' value=\"1988\">1988</option>";
echo "<option type='1989' value=\"1989\">1989</option>";
echo "<option type='1990' value=\"1990\">1990</option>";
echo "<option type='1991' value=\"1991\">1991</option>";
echo "<option type='1992' value=\"1992\">1992</option>";
echo "<option type='1993' value=\"1993\">1993</option>";
echo "<option type='1994' value=\"1994\">1994</option>";
echo "<option type='1995' value=\"1995\">1995</option>";
echo "<option type='1996' value=\"1996\">1996</option>";
echo "<option type='1997' value=\"1997\">1997</option>";
echo "<option type='1998' value=\"1998\">1998</option>";
echo "<option type='1999' value=\"1999\">1999</option>";
echo "<option type='2000' value=\"2000\">2000</option>";
echo "<option type='2001' value=\"2001\">2001</option>";
echo "</select><br>";
echo '<b>Ваш пол</b>:<br/><select name="pol"><option value="1">Мужской</option><option value="0">Женский</option></select><br>';
echo '<b>Ваша страна:</b>';
echo "<br><select name=\"str\"><br>";
echo "<option type='str' value=\"7\">Россия</option>";
echo "<option type='str' value=\"38\">Украина</option>";
echo "</select><br>";

echo '<b>Введите пароль</b> (6-32 символов):<br/><input type="password" name="pass1" maxlength="32"/><br>';
echo '<b>Повторите пароль</b>:<br/><input type="password" name="pass2" maxlength="32"/><br>';
echo '<input type="submit" value="Продолжить"/></form>';
include_once("incs/down.php");
break;
}
}
?>